<?php

/**
 *
 * pHKondo : pHKondo software for condominium hoa association management (https://phalkaline.net)
 * Copyright (c) pHAlkaline . (https://phalkaline.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @copyright     Copyright (c) pHAlkaline . (https://phalkaline.net)
 * @link          https://phkondo.net pHKondo Project
 * @package       app.Controller
 * @since         pHKondo v 0.0.1
 * @license       http://opensource.org/licenses/GPL-2.0 GNU General Public License, version 2 (GPL-2.0)
 * 
 */
App::uses('AppController', 'Controller');

class PagesController extends AppController {

    /**
     * Controller name
     *
     * @var string
     */
    public $name = 'Pages';

    /**
     * This controller does not use a model
     *
     * @var array
     */
    public $uses = array();

    /**
     * Displays a view
     *
     * @param mixed What page to display
     * @return void
     */
    public function display() {
       
        $path = func_get_args();

        if (!empty($path[0]) && $path[0] == 'home' && !(bool) AuthComponent::user()) {
            $path[0] = 'login';
            $this->layout = "login";
        }
        $count = count($path);
        if (!$count) {
            $this->redirect('/');
        }
        $page = $subpage = $title_for_layout = null;

        if (!empty($path[0])) {
            $page = $path[0];
        }
        if (!empty($path[1])) {
            $subpage = $path[1];
        }
        if (!empty($path[$count - 1])) {
            $title_for_layout = $headerTitle = __(Inflector::humanize($path[$count - 1]));
        }
        $this->set(compact('page', 'subpage', 'title_for_layout', 'headerTitle'));
        $this->render(implode('/', $path));
    }

    public function beforeRender() {
        parent::beforeRender();
        $headerTitle = __('pHKondo');
        $breadcrumbs = array(
            array('link' => Router::url(array('controller' => 'condos')), 'text' => __('Condos'), 'active' => '')
        );

        if ($this->viewVars['page'] == 'login') {
            $breadcrumbs[0] = array('link' => '', 'text' => __('Start Session'), 'active' => 'active');
            $headerTitle = __('Start Session');
        }


        $this->set(compact('breadcrumbs', 'headerTitle'));
    }

}
