<?php

App::uses('AppModel', 'Model');

/**
 * Support Model
 *
 * @property Condo $Condo
 * @property Fraction $Fraction
 * @property SupportCategory $SupportCategory
 * @property SupportPriority $SupportPriority
 * @property SupportStatus $SupportStatus
 * @property RequestEntity $RequestEntity
 * @property AssignedUser $AssignedUser
 */
class Support extends AppModel {

    /**
     * Display field
     *
     * @var string
     */
    public $displayField = 'title';

     /**
     * order field
     *
     * @var string
     */
    public $order = array("Support.support_status_id" => "ASC","Support.support_priority_id" => "ASC");
    
    /**
     * Validation rules
     *
     * @var array
     */
    public $validate = array(
        'condo_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'fraction_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'support_category_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'support_priority_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'support_status_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
        'entity_id' => array(
            'numeric' => array(
                'rule' => array('numeric'),
            //'message' => 'Your custom message here',
            //'allowEmpty' => false,
            //'required' => false,
            //'last' => false, // Stop validation after this rule
            //'on' => 'create', // Limit validation to 'create' or 'update' operations
            ),
        ),
    );

    // The Associations below have been created with all possible keys, those that are not needed can be removed

    /**
     * belongsTo associations
     *
     * @var array
     */
    public $belongsTo = array(
        'Condo' => array(
            'className' => 'Condo',
            'foreignKey' => 'condo_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        ),
        'Fraction' => array(
            'className' => 'Fraction',
            'foreignKey' => 'fraction_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        ),
        'SupportCategory' => array(
            'className' => 'SupportCategory',
            'foreignKey' => 'support_category_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        ),
        'SupportPriority' => array(
            'className' => 'SupportPriority',
            'foreignKey' => 'support_priority_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        ),
        'SupportStatus' => array(
            'className' => 'SupportStatus',
            'foreignKey' => 'support_status_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        ),
        'Entity' => array(
            'className' => 'Entity',
            'foreignKey' => 'entity_id',
            'fields' => array('id', 'name'),
            'order' => array('Entity.name ASC')
        ),
        'AssignedUser' => array(
            'className' => 'User',
            'foreignKey' => 'assigned_user_id',
            'conditions' => '',
            'fields' => '',
            'order' => ''
        )
    );

}
